// Default Media setup

function addMediaQuery(aName, aQuery, aService) {
  var id = "urn:media:favorites:" + aService + ":" + aQuery;
  coop.media_favorites.children.addOnce(new coop.MediaQuery(id,
    {
      serviceId: "@flock.com/photo-api-manager;1?",
      service: aService,
      favicon: "chrome://flock/content/services/" + aService + "/favicon.png",
      query: aQuery,
      name: aName,
      isPollable: "true"
    })
  );
}

var converter = Components.classes["@mozilla.org/intl/scriptableunicodeconverter"]
                .createInstance(Components.interfaces.nsIScriptableUnicodeConverter);
converter.charset = "UTF-8";

addMediaQuery(converter.ConvertToUnicode("JakFlockować"), "user:HowToFlock|username:HowToFlock", "youtube");
